## ghostscript 8.64.dfsg.1

=== libpng/scripts/CMakeLists.txt ===
                                             
project(PNG)

# Copyright (C) 2007 Glenn Randers-Pehrson
# For conditions of distribution and use, see copyright notice in png.h

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 2)
set(PNGLIB_RELEASE 22)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages
find_package(ZLIB REQUIRED)
if(NOT WIN32)
 find_library(M_LIBRARY
     NAMES m
     PATHS /usr/lib /usr/local/lib
 )
 if(NOT M_LIBRARY)
   message(STATUS
     "math library 'libm' not found - floating point support disabled")
 endif(NOT M_LIBRARY)
else(NOT WIN32)
 # not needed on windows
 set(M_LIBRARY "")
endif(NOT WIN32)


# COMMAND LINE OPTIONS
option(PNG_SHARED "Build shared lib" YES)
option(PNG_STATIC "Build static lib" YES)
if(MINGW)
  option(PNG_TESTS  "Build pngtest" NO)
else(MINGW)
  option(PNG_TESTS  "Build pngtest" YES)
endif(MINGW)
option(PNG_NO_CONSOLE_IO "FIXME" YES)
option(PNG_NO_STDIO      "FIXME" YES)
option(PNG_DEBUG         "Build with debug output" YES)
option(PNGARG            "FIXME" YES)
#TODO:
# PNG_CONSOLE_IO_SUPPORTED

# maybe needs improving, but currently I don't know when we can enable what :)
set(png_asm_tmp "OFF")
if(NOT WIN32)
 find_program(uname_executable NAMES uname PATHS /bin /usr/bin /usr/local/bin)
 if(uname_executable)
   EXEC_PROGRAM(${uname_executable} ARGS --machine OUTPUT_VARIABLE uname_output)
   if("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "ON")
   else("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "OFF")
   endif("uname_output" MATCHES "^.*i[1-9]86.*$")
 endif(uname_executable)
else(NOT WIN32)
 # this env var is normally only set on win64
 SET(TEXT "ProgramFiles(x86)")
 if("$ENV{${TEXT}}" STREQUAL "")
  set(png_asm_tmp "ON")
 endif("$ENV{${TEXT}}" STREQUAL "")
endif(NOT WIN32)

# SET LIBNAME
# msvc does not append 'lib' - do it here to have consistent name
if(MSVC)
 set(PNG_LIB_NAME lib)
endif(MSVC)
set(PNG_LIB_NAME ${PNG_LIB_NAME}png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")


# OUR SOURCES
set(libpng_sources
 png.h
 pngconf.h
 png.c
 pngerror.c
 pngget.c
 pngmem.c
 pngpread.c
 pngread.c
 pngrio.c
 pngrtran.c
 pngrutil.c
 pngset.c
 pngtrans.c
 pngwio.c
 pngwrite.c
 pngwtran.c
 pngwutil.c
)
set(pngtest_sources
       pngtest.c
)
# SOME NEEDED DEFINITIONS
if(MSVC)
  add_definitions(-DPNG_NO_MODULEDEF -D_CRT_SECURE_NO_DEPRECATE)
endif(MSVC)

add_definitions(-DZLIB_DLL)

add_definitions(-DLIBPNG_NO_MMX)
add_definitions(-DPNG_NO_MMX_CODE)

if(PNG_CONSOLE_IO_SUPPORTED)
 add_definitions(-DPNG_CONSOLE_IO_SUPPORTED)
endif(PNG_CONSOLE_IO_SUPPORTED)

if(PNG_NO_CONSOLE_IO)
 add_definitions(-DPNG_NO_CONSOLE_IO)
endif(PNG_NO_CONSOLE_IO)

if(PNG_NO_STDIO)
 add_definitions(-DPNG_NO_STDIO)
endif(PNG_NO_STDIO)

if(PNG_DEBUG)
 add_definitions(-DPNG_DEBUG)
endif(PNG_DEBUG)

if(NOT M_LIBRARY AND NOT WIN32)
 add_definitions(-DPNG_NO_FLOATING_POINT_SUPPORTED)
endif(NOT M_LIBRARY AND NOT WIN32)

# NOW BUILD OUR TARGET
include_directories(${PNG_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
 add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
 target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif(PNG_SHARED)
if(PNG_STATIC)
# does not work without changing name
 set(PNG_LIB_NAME_STATIC ${PNG_LIB_NAME}_static)
 add_library(${PNG_LIB_NAME_STATIC} STATIC ${libpng_sources})
endif(PNG_STATIC)

if(PNG_SHARED AND WIN32)
 set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif(PNG_SHARED AND WIN32)

if(PNG_TESTS)
# does not work with msvc due to png_lib_ver issue
 add_executable(pngtest ${pngtest_sources})
 target_link_libraries(pngtest ${PNG_LIB_NAME})
#  add_test(pngtest ${PNG_SOURCE_DIR}/pngtest.png)
endif(PNG_TESTS)


# CREATE PKGCONFIG FILES
# we use the same files like ./configure, so we have to set its vars
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)

configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/libpng.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/libpng-config)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config)

# SET UP LINKS
set_target_properties(${PNG_LIB_NAME} PROPERTIES
#    VERSION 0.${PNGLIB_RELEASE}.1.2.22
     VERSION 0.${PNGLIB_RELEASE}.0
     SOVERSION 0
     CLEAN_DIRECT_OUTPUT 1)
if(NOT WIN32)
  # that's uncool on win32 - it overwrites our static import lib...
  set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES
     OUTPUT_NAME ${PNG_LIB_NAME}
     CLEAN_DIRECT_OUTPUT 1)
endif(NOT WIN32)
# INSTALL
install_targets(/lib ${PNG_LIB_NAME})
if(PNG_STATIC)
  install_targets(/lib ${PNG_LIB_NAME_STATIC})
endif(PNG_STATIC)

install(FILES png.h pngconf.h         DESTINATION include)
install(FILES png.h pngconf.h         DESTINATION include/${PNGLIB_NAME})
install(FILES libpng.3 libpngpf.3             DESTINATION man/man3)
install(FILES png.5                           DESTINATION man/man5)
install(FILES ${PNG_BINARY_DIR}/libpng.pc     DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/libpng-config      DESTINATION bin)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc  DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config DESTINATION bin)

# what's with libpng.txt and all the extra files?


# UNINSTALL
# do we need this?


# DIST
# do we need this?

# to create msvc import lib for mingw compiled shared lib
# pexports libpng.dll > libpng.def
# lib /def:libpng.def /machine:x86

## ghostscript 8.62.dfsg.1-3.2lenny1

=== debian/changelog ===
ghostscript (8.62.dfsg.1-3.2lenny1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Include patch from RedHat to fix several integer overflows and add
    upper-bound checks on certain variables in the embedded icc library
    Fixes: CVE-2009-0583 CVE-2009-0584

 -- Steffen Joeris <white@debian.org>  Sat, 14 Mar 2009 12:57:49 +0000

ghostscript (8.62.dfsg.1-3.2lenny0) testing; urgency=low

  * Non-maintainer upload to testing, mainly to get fix
    from 8.62.dfsg.1-3.2:
    - Make ghostscript depend on gs-common to prevent removal.
      Drop gs-common -> ghostscript-x dependency to not force the
      X version on all users. Hopefully Closes: #503712.
  * libgs-dev: version Depends: libgs8. Closes: #510691.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 05 Jan 2009 23:33:33 +0100

ghostscript (8.62.dfsg.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make ghostscript depend on gs-common to prevent removal.
    Drop gs-common -> ghostscript-x dependency to not force the
    X version on all users. Hopefully Closes: #503712.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 28 Dec 2008 11:18:18 +0100

ghostscript (8.62.dfsg.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add (empty) gs-common.prerm to enable upgrades
    etch->lenny to succeed when the old gs-common.prerm
    fails. Closes: #495703.
    Thanks to Niko Tyni for the bug report and analysis.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 31 Aug 2008 22:26:34 +0200

ghostscript (8.62.dfsg.1-3) unstable; urgency=low

  * Acknowledged NMU, thanks madcoder - closes: #453903
  * Bumped to Standards-Version: 3.8.0.
  * Fixed fakeroot build error, thanks Bob Lindell - closes: #484712
  * ghostscript-doc.doc-base: Made file mask *.htm* instead of *.html.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 20 Jul 2008 08:59:17 +0900

ghostscript (8.62.dfsg.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add patches/31_fix-gc-sigbus.dpatch to avoid sigbus/segfaults on sparc and
    hppa (and probably errors on other architectures as well).
    Closes: #453903.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 14 May 2008 15:25:03 +0200

ghostscript (8.62.dfsg.1-2) unstable; urgency=low

  * ghostscript: Tighten up versioned dependency on libgs8 
    - closes: #470253
  * preinsts for each dummy packages now call update-alternatives
    to make sure gs symlinks are removed before the new ghostscript 
    package is installed - closes: #449173

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 13 Mar 2008 02:30:51 +0900

ghostscript (8.62.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Removed Resource/Font for a minor licensing problem.  
    I'm now contacting the upstream, so they might be back soon.
  * Fixed in the upstream - closes: #418706
    See also http://bugs.ghostscript.com/show_bug.cgi?id=689600
  * Now it can handle DEB_BUILD_OPTS as expected - closes: #446819
  * 10_ijs_krgb_support.dpatch: incorporated into the upstream, removed.
  * 27_cups_filters_with_buffered_input.dpatch: incorporated into 
    the upstream, removed. 
  * 28_print_encrypted_PDFs_from_adobe_reader_8.dpatch: incorporated into
    the upstream, removed.
  * 31_CVE-2008-0411.dpatch: incorporated into the upstream, removed. 
    thanks Nico Golde for NMU.
  * shlibs: loosen the libgs8 shlibs version specification, 
    thanks Sune Vuorela for pointing it out - closes: #469218
  * control: ghostscript doesn't provide gs, gs-esp, gs-gpl, gs-afpl 
    and gs-aladdin anymore - ghostscript-x does - closes: #448702, #462678
  * control: tighten up versioned Conflicts on dummy packages.
  * rules: removes /usr/share/doc/ghostscript/README.gz explicitly 
    - closes: #460692
  * postinst: removes old /etc/alternative symlinks explicitly 
    - closes: #447495, #449061
 
 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Mar 2008 10:39:31 +0800

ghostscript (8.61.dfsg.1-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix stack based buffer overflow in the zseticcspace() function possibly
    leading to arbitrary code exeuction via a crafted ps file.
    (31_CVE-2008-0411.dpatch; Closes: #468190).
  * Adjusting libgs shlibs file to match the new version number.

 -- Nico Golde <nion@debian.org>  Sat, 01 Mar 2008 11:18:27 +0100

ghostscript (8.61.dfsg.1-1) unstable; urgency=low

  [Masayuki Hatta]

  * New upstream release.
  * Now pdf2dsc can handle PageLabels properly - closes: #266166
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * NEWS, README.Debian, copyright: Revised.
  * NEWS: Fixed wrong version number - closes: #454514, #454515
  * Sorted out dpatches:
    01-09: Debian-specific patches
    10-19: Bigger 3rd party patches (KRGB & CJKV)
    20-: Temporary bug fixes (should be incorporated into the upstream)
  * debian/patches/29_gs_css_fix.dpatch: Fixes a syntax error in gs.css
    - closes: #457118
  * debian/patches/30_ps2pdf_man_improvement.dpatch: Improved manpages for 
    ps2pdf - closes: #193461

  [Till Kamppeter]

  * debian/patches/09_ijs_krgb_support.dpatch: Adapted to upstream changes.
  * debian/rules: Updated CUPS-related variables for "make install" calls.
  * debian/rules: Remove /usr/include/ghostscript from the ghostscript
    package, they go into libgs-dev.
  * debian/patches/40_cups_filters_with_buffered_input.dpatch: Modified
    cups/psto* filters to let Ghostscript always use buffered input. This
    works around a Ghostscript bug which prevents printing encrypted PDF
    files with Adobe Reader 8.1.1 and Ghostscript built as shared library
    (Ghostscript bug #689577, Ubuntu bug LP: #172264)
  * debian/patches/42_print_encrypted_PDFs_from_adobe_reader_8.dpatch:
    Fixed printing of encrypted PDF files from Adobe Reader 8.1.1.  This
    is the real fix now and not only a workaround. (Ghostscript bug
    #689577, Ubuntu bug LP: #172264).



=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
Standards-Version: 3.8.0
Uploaders: Thomas Maass <inyourface@gmx.de>

Package: ghostscript
Architecture: any
Conflicts: gs (<< 8.62), gs-esp (<< 8.62), gs-gpl (<< 8.62), gs-afpl (<< 8.62), gs-aladdin (<< 8.62), gs-cjk-resource (<< 1.20010910-1), gs-pdfencrypt (<< 7.00), gs-common (<< 8.62)
Replaces: gs (<< 8.62), gs-esp (<< 8.62), gs-gpl (<< 8.62), gs-afpl (<< 8.62), gs-aladdin (<< 8.62), gs-pdfencrypt (<< 7.00), gs-common (<< 8.62)
Provides: gs-pdfencrypt, postscript-viewer
Recommends: psfontmgr
Suggests: ghostscript-x, hpijs
Depends: ${shlibs:Depends}, gs-common (>= 8.62.dfsg.1-3.2), gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
Description: The GPL Ghostscript PostScript/PDF interpreter
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be printed
 on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.
 .
 Package gsfonts contains a set of standard fonts for Ghostscript.
 .
 The Ghostscript home page is at http://www.ghostscript.com/

Package: gs
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs package (the package name has been changed to ghostscript).
 It may safely be removed after installation.

Package: gs-esp
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-esp package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-gpl
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-gpl package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-aladdin
Architecture: all
Priority: extra
Depends:  ghostscript, ghostscript-x
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous  gs-aladdin package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-common
Architecture: all
Priority: optional
Depends:  ghostscript
Description: Dummy package depending on ghostscript
 This dummy package is provided for a smooth transition from the
 previous gs-.../gs-common combo (the packages are replaced by ghostscript).

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends}, ghostscript (>= 8.62)
Conflicts: ghostscript (<< 8.62)
Provides: gs, gs-esp, gs-gpl, gs-afpl, gs-aladdin
Description: The GPL Ghostscript PostScript/PDF interpreter - X Display support
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package contains the Ghostscript output device for X11. It is in
 a separate package to allow the main package (ghostscript) to be installed
 on X-less servers.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ghostscript (>= 8.62)
Conflicts: ghostscript (<< 8.62)
Description: The GPL Ghostscript PostScript/PDF interpreter - Documentation
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package contains the documentation of Ghostscript. As this documentation
 is only interesting for printer driver developers or advanced users, it is
 in this separate package which can be left out in space-restricted
 installations, like for example live CDs.

Package: libgs8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: The Ghostscript PostScript/PDF interpreter Library
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package provides the Ghostscript library which makes the 
 facilities of Ghostscript available to applications.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
Conflicts: libgs-esp-dev (<< 8.62)
Replaces: libgs-esp-dev (<< 8.62)
Provides: libgs-esp-dev
Description: The Ghostscript PostScript Library - Development Files
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 The Ghostscript home page is at http://www.ghostscript.com/
 .
 This package provides the development files for the Ghostscript library 
 which makes the facilities of Ghostscript available to applications.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
opts=uversionmangle=s/-gpl$//,dversionmangle=s/\.dfsg.+// \
http://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/current/ghostscript-(\d+.+)\.tar\.gz

## ghostscript 8.62.dfsg.1-maemo1

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo1) stable-security; urgency=high

  * Removed dummy packages for maemo
  
 -- Thomas Maass <inyourface@gmx.de>  Fri, 02 Jul 2010 09:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
+Maintainer: Thomas Maass <inyourface@gmx.de>
 Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
 Standards-Version: 3.8.0
-Uploaders: Thomas Maass <inyourface@gmx.de>
 
 Package: ghostscript
 Architecture: any
@@ -26,50 +25,6 @@
  Package gsfonts contains a set of standard fonts for Ghostscript.
  .
  The Ghostscript home page is at http://www.ghostscript.com/
-
-Package: gs
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs package (the package name has been changed to ghostscript).
- It may safely be removed after installation.
-
-Package: gs-esp
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs-esp package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-gpl
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous gs-gpl package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-aladdin
-Architecture: all
-Priority: extra
-Depends:  ghostscript, ghostscript-x
-Description: Transitional package
- This dummy package is provided for a smooth transition from the
- previous  gs-aladdin package (the package is replaced by ghostscript).
- It may safely be removed after installation.
-
-Package: gs-common
-Architecture: all
-Priority: optional
-Depends:  ghostscript
-Description: Dummy package depending on ghostscript
- This dummy package is provided for a smooth transition from the
- previous gs-.../gs-common combo (the packages are replaced by ghostscript).
 
 Package: ghostscript-x
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_AUTO_UPDATE_AUTOCONF=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

# for building w/ FAPI
#FT_CPPFLAGS = $(shell pkg-config --cflags freetype2)
#FT_LDFLAGS=$(shell pkg-config --libs freetype2)
#FT_OPTS := FT_BRIDGE=1 FT_CFLAGS=$(FT_CPPFLAGS) FT_LIB=$(FT_LDFLAGS)

#ifeq ($(DEB_HOST_ARCH),s390)
#	CC=gcc-3.4
#else
#	CC=gcc
#endif

# Handling DEB_BUILD_OPTIONS
#export DEB_BUILD_OPTIONS=noopt,nostrip
CFLAGS:=$(CFLAGS) -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2) 

DEB_CONFIGURE_SCRIPT_ENV := CFLAGS="$(CFLAGS) -fPIC" CPPFLAGS="$(FT_CPPFLAGS)" LDFLAGS="-lpaper $(FT_LDFLAGS)"
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--with-ijs --with-jbig2dec --with-jasper --with-x --disable-gtk \
	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
	--with-drivers=ALL \
	--with-fontpath=/var/lib/defoma/gs.d/dirs/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts:/usr/share/fonts/type1/gsfonts
DEB_MAKE_BUILD_TARGET := STDDIRS $(FT_OPTS)
DEB_MAKE_INSTALL_TARGET := soinstall install-shared install-cups install-contrib-extras \
		DESTDIR=$(CURDIR)/debian/ghostscript \
		prefix=/usr \
		datadir=/usr/share \
		gsdir=/usr/share/ghostscript \
		docdir=/usr/share/doc/ghostscript \
		exdir=/usr/share/doc/ghostscript/examples \
		CUPSSERVERBIN=/usr/lib/cups \
		CUPSSERVER=/usr/lib/cups \
		CUPSSERVERROOT=/etc/cups \
		CUPSDATA=/usr/share/ppd/ghostscript

fail-if-cmaps-exist:
	@test ! -d Resource/CMap || ( \
		echo; \
		echo 'ERROR: Source contains CMaps that are declared non-free.'; \
		echo '       Please strip Resource/CMap from source!'; \
		exit 1)

fail-if-jasper-pdfs-exist:
	@test ! -f jasper/doc/*.pdf || ( \
		echo; \
		echo 'ERROR: Source contains JasPer PDFs that are declared non-free.'; \
		echo '       Please remove PDFs from source!'; \
		exit 1)

clean::
	-cd jasper && $(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) soclean
	[ ! -f Makefile ] || $(MAKE) distclean
        # These are somehow left...
	-rm -rf sobin soobj cups/pstopxl cups/pstoraster

build/ghostscript::
	#/usr/bin/docbook-to-man debian/ghostscript.sgml > ghostscript.1

build/ghostscript-x::
	$(MAKE) obj/X11.so

build/libgs8::
	$(MAKE) so

install/ghostscript::
	# Move *.types and *.convs files from /etc/cups to
	# /usr/share/cups/mime, so that they are not considered conffiles
	mkdir -p $(CURDIR)/debian/ghostscript/usr/share/cups/mime/
	mv $(CURDIR)/debian/ghostscript/etc/cups/*.types \
	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
	mv $(CURDIR)/debian/ghostscript/etc/cups/*.convs \
	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc/cups
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc

	# Install DeFoMa script
	install -m 644 $(CURDIR)/debian/gs.defoma $(CURDIR)/debian/ghostscript/usr/share/defoma/scripts

	# Remove some of the scripts
	rm $(CURDIR)/debian/ghostscript/usr/bin/unix-lpr.sh $(CURDIR)/debian/ghostscript/usr/bin/lprsetup.sh $(CURDIR)/debian/ghostscript/usr/bin/pv.sh $(CURDIR)/debian/ghostscript/usr/bin/fixmswrd.pl

	# Do not include the Ghostscript loader executable with GTK support
	rm -f $(CURDIR)/debian/ghostscript/usr/bin/gsx

	# Rename /usr/bin/gsc, to not conflict with gambc (bug LP #118785).
	mv $(CURDIR)/debian/ghostscript/usr/bin/gsc $(CURDIR)/debian/ghostscript/usr/bin/gs

	# Some convenience links
	ln -s /usr/bin/gs $(CURDIR)/debian/ghostscript/usr/bin/ghostscript
	ln -s /usr/share/man/man1/gs.1 $(CURDIR)/debian/ghostscript/usr/share/man/man1/ghostscript.1

	# Remove C headers, they go into the libgs-dev package
	rm -rf $(CURDIR)/debian/ghostscript/usr/include

install/ghostscript-x::
	# Separate the dynamic library for X support into the ghostscript-x
	# package
	mkdir -p $(CURDIR)/debian/ghostscript-x/usr/lib/
	mv $(CURDIR)/debian/ghostscript/usr/lib/ghostscript $(CURDIR)/debian/ghostscript-x/usr/lib/

install/ghostscript-doc::
	# Move documentation into the ghostscript-doc package
	mkdir -p $(CURDIR)/debian/ghostscript-doc/usr/share/
	mv $(CURDIR)/debian/ghostscript/usr/share/doc $(CURDIR)/debian/ghostscript-doc/usr/share/
	# Install cjk examples too
	install -d  $(CURDIR)/debian/ghostscript-doc/usr/share/doc/ghostscript/examples/cjk
	install -m 644 $(CURDIR)/examples/cjk/* $(CURDIR)/debian/ghostscript-doc/usr/share/doc/ghostscript/examples/cjk

binary-post-install/ghostscript::
	# for non-arch-all builds, we need to remove the
	# documentation manually, since install/ghostscript-doc is not called
	# for them
	rm -f $(CURDIR)/debian/ghostscript/usr/share/doc/ghostscript/*.htm
	rm -f $(CURDIR)/debian/ghostscript/usr/share/doc/ghostscript/*.html
	rm -f $(CURDIR)/debian/ghostscript/usr/share/doc/ghostscript/*.css
	rm -f $(CURDIR)/debian/ghostscript/usr/share/doc/ghostscript/README
	rm -rf $(CURDIR)/debian/ghostscript/usr/share/doc/ghostscript/examples

install/libgs8::
	# Move libgs into the libgs8 package
	mkdir -p $(CURDIR)/debian/libgs8/usr/lib/
	rm -f $(CURDIR)/debian/ghostscript/usr/lib/libgs*
	cp sobin/libgs.so.8.* $(CURDIR)/debian/libgs8/usr/lib/
	cp -P sobin/libgs.so.8 $(CURDIR)/debian/libgs8/usr/lib/

	# Move libgs.so link into the libgs-dev package
	# and install also the C headers there
	mkdir -p $(CURDIR)/debian/libgs-dev/usr/lib/
	cp -P sobin/libgs.so $(CURDIR)/debian/libgs-dev/usr/lib/
	mkdir -p $(CURDIR)/debian/libgs-dev/usr/include/ghostscript
	install -m 644 $(CURDIR)/src/iapi.h $(CURDIR)/debian/libgs-dev/usr/include/ghostscript
	install -m 644 $(CURDIR)/src/ierrors.h $(CURDIR)/debian/libgs-dev/usr/include/ghostscript
	install -m 644 $(CURDIR)/src/gdevdsp.h $(CURDIR)/debian/libgs-dev/usr/include/ghostscript

## ghostscript 8.62.dfsg.1-maemo2

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo2) stable-security; urgency=high

  * Fixed dependency problems
  
 -- Thomas Maass <inyourface@gmx.de>  Fri, 02 Jul 2010 16:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gs-common (>= 8.62.dfsg.1-3.2), gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF
@@ -76,7 +76,7 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}
 Conflicts: libgs-esp-dev (<< 8.62)
 Replaces: libgs-esp-dev (<< 8.62)
 Provides: libgs-esp-dev

## ghostscript 8.62.dfsg.1-maemo3

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo3) stable-security; urgency=high

  * Initial release for Maemo.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 17:05:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Thomas Maass <inyourface@gmx.de>
-Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
+Maintainer: Thomas Maass <mase@setho.org>
+Build-Depends: autoconf, automake1.9 | automaken, debhelper (>= 4.1.0), dpatch, freeglut3-dev | libglut-dev, libjpeg62-dev, libpaper-dev, libpng12-dev, libz-dev, libxt-dev, libxext-dev, libx11-dev, libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4), libice-dev, libsm-dev, pkg-config, libfontconfig1-dev, cdbs
 Standards-Version: 3.8.0
 
 Package: ghostscript
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF
@@ -76,7 +76,7 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libgs8 (= ${binary:Version})
 Conflicts: libgs-esp-dev (<< 8.62)
 Replaces: libgs-esp-dev (<< 8.62)
 Provides: libgs-esp-dev

## ghostscript 8.62.dfsg.1-maemo4

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo4) stable-security; urgency=high

  * Removed dependency of debianutils.

 -- Thomas Maass <mase@setho.org>  Thu, 24 Feb 2011 23:13:00 +0200

## ghostscript 8.62.dfsg.1-maemo5

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo5) stable-security; urgency=high

  * Fixed optification.

 -- Thomas Maass <mase@setho.org>  Mon, 01 Mar 2011 13:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Provides: gs-pdfencrypt, postscript-viewer
 Recommends: psfontmgr
 Suggests: ghostscript-x, hpijs
-Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, debianutils (>= 1.6), libgs8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, gsfonts (>= 6.0-1), defoma, debconf | debconf-2.0, libgs8 (= ${binary:Version})
 Description: The GPL Ghostscript PostScript/PDF interpreter
  Ghostscript is used for PostScript/PDF preview and printing.  Usually as
  a back-end to a program such as ghostview, it can display PostScript and PDF

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,11 @@
 CFLAGS:=$(CFLAGS) -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2) 
 
 DEB_CONFIGURE_SCRIPT_ENV := CFLAGS="$(CFLAGS) -fPIC" CPPFLAGS="$(FT_CPPFLAGS)" LDFLAGS="-lpaper $(FT_LDFLAGS)"
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=\$${prefix}/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--with-ijs --with-jbig2dec --with-jasper --with-x --disable-gtk \
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
-	--with-fontpath=/var/lib/defoma/gs.d/dirs/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts:/usr/share/fonts/type1/gsfonts
+	--with-fontpath=/var/lib/defoma/gs.d/dirs/fonts:/opt/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts:/usr/share/fonts/type1/gsfonts
 DEB_MAKE_BUILD_TARGET := STDDIRS $(FT_OPTS)
 DEB_MAKE_INSTALL_TARGET := soinstall install-shared install-cups install-contrib-extras \
 		DESTDIR=$(CURDIR)/debian/ghostscript \
@@ -36,10 +36,10 @@
 		gsdir=/usr/share/ghostscript \
 		docdir=/usr/share/doc/ghostscript \
 		exdir=/usr/share/doc/ghostscript/examples \
-		CUPSSERVERBIN=/usr/lib/cups \
-		CUPSSERVER=/usr/lib/cups \
+		CUPSSERVERBIN=/opt/usr/lib/cups \
+		CUPSSERVER=/opt/usr/lib/cups \
 		CUPSSERVERROOT=/etc/cups \
-		CUPSDATA=/usr/share/ppd/ghostscript
+		CUPSDATA=/opt/usr/share/ppd/ghostscript
 
 fail-if-cmaps-exist:
 	@test ! -d Resource/CMap || ( \
@@ -74,11 +74,11 @@
 install/ghostscript::
 	# Move *.types and *.convs files from /etc/cups to
 	# /usr/share/cups/mime, so that they are not considered conffiles
-	mkdir -p $(CURDIR)/debian/ghostscript/usr/share/cups/mime/
+	mkdir -p $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/
 	mv $(CURDIR)/debian/ghostscript/etc/cups/*.types \
-	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
+	   $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/ 2> /dev/null || :
 	mv $(CURDIR)/debian/ghostscript/etc/cups/*.convs \
-	   $(CURDIR)/debian/ghostscript/usr/share/cups/mime/ 2> /dev/null || :
+	   $(CURDIR)/debian/ghostscript/opt/usr/share/cups/mime/ 2> /dev/null || :
 	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc/cups
 	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/ghostscript/etc

## ghostscript 8.62.dfsg.1-maemo6

=== debian/changelog ===
ghostscript (8.62.dfsg.1-maemo6) stable-security; urgency=high

  * Fixed optification for /usr/share/ghostscript.

 -- Thomas Maass <mase@setho.org>  Mon, 01 Mar 2011 14:20:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS:=$(CFLAGS) -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2) 
 
 DEB_CONFIGURE_SCRIPT_ENV := CFLAGS="$(CFLAGS) -fPIC" CPPFLAGS="$(FT_CPPFLAGS)" LDFLAGS="-lpaper $(FT_LDFLAGS)"
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=\$${prefix}/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --datarootdir=/opt/usr/share --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	--with-ijs --with-jbig2dec --with-jasper --with-x --disable-gtk \
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
@@ -32,8 +32,8 @@
 DEB_MAKE_INSTALL_TARGET := soinstall install-shared install-cups install-contrib-extras \
 		DESTDIR=$(CURDIR)/debian/ghostscript \
 		prefix=/usr \
-		datadir=/usr/share \
-		gsdir=/usr/share/ghostscript \
+		datadir=/opt/usr/share \
+		gsdir=/opt/usr/share/ghostscript \
 		docdir=/usr/share/doc/ghostscript \
 		exdir=/usr/share/doc/ghostscript/examples \
 		CUPSSERVERBIN=/opt/usr/lib/cups \
